Ruby: pm_constant_path_target_node Struct Reference

Ruby 3.4.1p0 (2024-12-25 revision 48d4efcb85000e1ebae42004e963b5d0cedddcf2)

Data Fields
pm_constant_path_target_node Struct Reference

ConstantPathTargetNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
struct pm_node * | parent
| ConstantPathTargetNode#parent.
pm_constant_id_t | name
| ConstantPathTargetNode#name.
pm_location_t | delimiter_loc
| ConstantPathTargetNode#delimiter_loc.
pm_location_t | name_loc
| ConstantPathTargetNode#name_loc.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

ConstantPathTargetNode.

Represents writing to a constant path in a context that doesn't have an explicit value.

    Foo::Foo, Bar::Bar = baz
    ^^^^^^^^  ^^^^^^^^

Type: PM_CONSTANT_PATH_TARGET_NODE

Definition at line 3284 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_constant_path_target_node::base

The embedded base node.

Definition at line 3286 of file ast.h.

Referenced by pm_dump_json().

## ◆ delimiter_loc

pm_location_t pm_constant_path_target_node::delimiter_loc

ConstantPathTargetNode#delimiter_loc.

Definition at line 3302 of file ast.h.

Referenced by pm_dump_json().

## ◆ name

pm_constant_id_t pm_constant_path_target_node::name

ConstantPathTargetNode#name.

Definition at line 3297 of file ast.h.

Referenced by pm_dump_json().

## ◆ name_loc

pm_location_t pm_constant_path_target_node::name_loc

ConstantPathTargetNode#name_loc.

Definition at line 3307 of file ast.h.

Referenced by pm_dump_json().

## ◆ parent

struct pm_node* pm_constant_path_target_node::parent

ConstantPathTargetNode#parent.

Definition at line 3292 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

The documentation for this struct was generated from the following file:

- prism/ast.h